Subject: [trill] I-D Action: draft-ietf-trill-cmt-07.txt

From: [email-masked]
Date: Fri, 11 Sep 2015 22:04:28 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
 This draft is a work item of the Transparent Interconnection of Lots of Links Working Group of the IETF.

        Title           : Coordinated Multicast Trees (CMT) for TRILL
        Authors         : Tissa Senevirathne
                          Janardhanan Pathangi
                          Jon Hudson
	Filename        : draft-ietf-trill-cmt-07.txt
	Pages           : 18
	Date            : 2015-09-11

Abstract:
   TRILL facilitates loop free connectivity to non-TRILL networks via
   choice of an Appointed Forwarder for a set of VLANs. Appointed
   Forwarders provide load sharing based on VLAN with an active-standby
   model. High performance applications require an active-active load-
   sharing model. The Active-Active load-sharing model can be
   accomplished by representing any given non-TRILL network with a
   single virtual RBridge. Virtual representation of the non-TRILL
   network with a single RBridge poses serious challenges in multi-
   destination RPF (Reverse Path Forwarding) check calculations. This
   document specifies required enhancements to build Coordinated
   Multicast Trees (CMT) within the TRILL campus to solve related RPF
   issues. CMT provides flexibility to RBridges in selecting desired
   path of association to a given TRILL multi-destination distribution
   tree. This document updates RFC 6325.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-trill-cmt/

There's also a htmlized version available at:
https://tools.ietf.org/html/draft-ietf-trill-cmt-07

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-trill-cmt-07

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Donald Eastlake <[email-masked]>
Date: Sat, 12 Sep 2015 07:33:44 -0400

This revision responds to the AD Review previously posted to the WG
mailing list and has some other editorial changes.

Thanks,
Donald
=============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 155 Beaver Street, Milford, MA 01757 USA
 [email-masked]

On Sat, Sep 12, 2015 at 1:04 AM,  <[email-masked]> wrote:
> _______________________________________________
> trill mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/trill

---

From: gayle noble <[email-masked]>
Date: Sat, 12 Sep 2015 07:57:30 -0700

In draft-ietf-trill-p2mp-bfd-00 I found four things that I'd like re-worded :)

1.     page 2 Introduction third paragraph second and third sentence
[The first sentence states the tail LOST connectivity from the head. 
This translates to meaning there is no way for the tail to talk to 
the head. Then the next sentence states it must inform this head that 
it cannot talk to (based on the first sentence) it using the existing 
RBridge Channel. I think the first sentence needs to be re-worded for 
clarity as I am now assuming the first sentence really is trying to 
say that the tail lost connectivity on the new RBridge Channel that 
was allocated for this purpose. Also - the word "when" implies this 
will happen more often then not. I'd use the word "If" to imply this 
is a rare occurrence. But that's me]
(as written)
When the tail loses connectivity from the head, the tail should 
notify the head of the lack of multipoint connectivity with unicast 
BFD Control packets.
These packets are transmitted using the existing RBridge Channel 
assigned to BFD Control [RFC7175].
(I'd write)
If the tail loses connectivity from the head on the new RBridge 
Channel protocol, the tail should notify the head of the lack of 
multipoint connectivity with unicast BFD Control packets. These 
packets are transmitted using the existing RBridge Channel assigned 
to BFD Control [RFC7175].

2.   page 3 #4 A New RBridge Channel for P2MP BFD first paragraph 
third sentence
[Sentence reads weird - normally if "while for" is used there would 
be something before that was different in the same sentence]
(as written)
While for P2MP BFD, the head is required to probe tails using multicast.
(I'd write)
In P2MP BFD, the head is required to probe tails using multicast.

3.   page four first paragraph
[In case someone is skimming the document I'd make it a bit clearer 
which channel is being referenced in this sentence]
(as written)
As specified in [RFC7178], when the tail receives TRILL Data packets 
sent on the channel, it will absorb the packets itself rather than 
deliver these packets to its attached end-stations.
(I'd write)
As specified in [RFC7178], when the tail receives TRILL Data packets 
sent on this newly specified channel, it will absorb the packets 
itself rather than deliver these packets to its attached end-stations.

4.   page four Discriminators and Packet Demultiplexing second 
paragraph last sentence
[ "need" should be "needs" as tail is singular]
(as written)
If the tail need to notify the head about the failure of a multipath, 
the tail is required to send unicast BFD Control packets using the 
same Data Label as used by the head.
(as written)
If the tail needs to notify the head about the failure of a 
multipath, the tail is required to send unicast BFD Control packets 
using the same Data Label as used by the head.

thanks!
gayle

---

From: Mingui Zhang <[email-masked]>
Date: Mon, 14 Sep 2015 03:54:19 +0000

Hi Gayle,

Thanks very much! The correction will be incorporated soon.

Mingui

From: trill [mailto:[email-masked]] On Behalf Of gayle noble
Sent: Saturday, September 12, 2015 10:58 PM
To: [email-masked]
Subject: [trill] corrections on draft-ietf-trill-p2mp-bfd-00

1.     page 2 Introduction third paragraph second and third sentence
[The first sentence states the tail LOST connectivity from the head. This translates to meaning there is no way for the tail to talk to the head. Then the next sentence states it must inform this head that it cannot talk to (based on the first sentence) it using the existing RBridge Channel. I think the first sentence needs to be re-worded for clarity as I am now assuming the first sentence really is trying to say that the tail lost connectivity on the new RBridge Channel that was allocated for this purpose. Also - the word "when" implies this will happen more often then not. I'd use the word "If" to imply this is a rare occurrence. But that's me]
(as written)
When the tail loses connectivity from the head, the tail should notify the head of the lack of multipoint connectivity with unicast BFD Control packets.
These packets are transmitted using the existing RBridge Channel assigned to BFD Control [RFC7175].
(I'd write)
If the tail loses connectivity from the head on the new RBridge Channel protocol, the tail should notify the head of the lack of multipoint connectivity with unicast BFD Control packets. These packets are transmitted using the existing RBridge Channel assigned to BFD Control [RFC7175].

2.   page 3 #4 A New RBridge Channel for P2MP BFD first paragraph third sentence
[Sentence reads weird - normally if "while for" is used there would be something before that was different in the same sentence]
(as written)
While for P2MP BFD, the head is required to probe tails using multicast.
(I'd write)
In P2MP BFD, the head is required to probe tails using multicast.

3.   page four first paragraph
[In case someone is skimming the document I'd make it a bit clearer which channel is being referenced in this sentence]
(as written)
As specified in [RFC7178], when the tail receives TRILL Data packets sent on the channel, it will absorb the packets itself rather than deliver these packets to its attached end-stations.
(I'd write)
As specified in [RFC7178], when the tail receives TRILL Data packets sent on this newly specified channel, it will absorb the packets itself rather than deliver these packets to its attached end-stations.

4.   page four Discriminators and Packet Demultiplexing second paragraph last sentence
[ "need" should be "needs" as tail is singular]
(as written)
If the tail need to notify the head about the failure of a multipath, the tail is required to send unicast BFD Control packets using the same Data Label as used by the head.
(as written)
If the tail needs to notify the head about the failure of a multipath, the tail is required to send unicast BFD Control packets using the same Data Label as used by the head.

thanks!
gayle